Subject: Re: bug#12477: undefined reference for scm_init_popen

From: [email-masked] (Ludovic Courtès)
Date: Fri, 23 Nov 2012 23:38:34 +0100

Hi,

lin ray <[email-masked]> skribis:

> I got an undefined reference for scm_init_popen when I complied guile 2.0.6
> on Windows, the scm_init_popen functions is introduced as following in the
> posix.c
>
> #ifdef HAVE_FORK
> static void
> scm_init_popen (void)
> {
>   scm_c_define_gsubr ("open-process", 2, 0, 1, scm_open_process);
> }
> #endif
>
> since FORK is unavaiable in Windows, so the belowing part in posix.c should
> be error.

Thanks for the report.  This is now fixed, and the fix will be in 2.0.7.

Ludo’.